import json

# Generated by scripts/parse_datasets.py.
ALL_DATASETS_JSON = '''
[
    {
        "name": "LL1_DIC28_net",
        "dataset_id": "LL1_DIC28_net_dataset",
        "problem_id": "LL1_DIC28_net_problem",
        "task_type": "graphMatching",
        "size": 343,
        "train_dataset_id": "LL1_DIC28_net_dataset_TRAIN",
        "train_problem_id": "LL1_DIC28_net_problem_TRAIN",
        "test_dataset_id": "LL1_DIC28_net_dataset_TEST",
        "test_problem_id": "LL1_DIC28_net_problem_TEST",
        "score_dataset_id": "LL1_DIC28_net_dataset_SCORE",
        "score_problem_id": "LL1_DIC28_net_problem_SCORE"
    },
    {
        "name": "60_jester",
        "dataset_id": "60_jester_dataset",
        "problem_id": "60_jester_problem",
        "task_type": "collaborativeFiltering",
        "size": 880720,
        "train_dataset_id": "60_jester_dataset_TRAIN",
        "train_problem_id": "60_jester_problem_TRAIN",
        "test_dataset_id": "60_jester_dataset_TEST",
        "test_problem_id": "60_jester_problem_TEST",
        "score_dataset_id": "60_jester_dataset_SCORE",
        "score_problem_id": "60_jester_problem_SCORE"
    },
    {
        "name": "SEMI_1217_click_prediction_small",
        "dataset_id": "SEMI_1217_click_prediction_small_dataset",
        "problem_id": "SEMI_1217_click_prediction_small_problem",
        "task_type": "semiSupervisedClassification",
        "size": 29927,
        "train_dataset_id": "SEMI_1217_click_prediction_small_dataset_TRAIN",
        "train_problem_id": "SEMI_1217_click_prediction_small_problem_TRAIN",
        "test_dataset_id": "SEMI_1217_click_prediction_small_dataset_TEST",
        "test_problem_id": "SEMI_1217_click_prediction_small_problem_TEST",
        "score_dataset_id": "SEMI_1217_click_prediction_small_dataset_SCORE",
        "score_problem_id": "SEMI_1217_click_prediction_small_problem_SCORE"
    },
    {
        "name": "LL1_TXT_CLS_apple_products_sentiment",
        "dataset_id": "LL1_TXT_CLS_apple_products_sentiment_dataset",
        "problem_id": "LL1_TXT_CLS_apple_products_sentiment_problem",
        "task_type": "classification",
        "size": 778,
        "train_dataset_id": "LL1_TXT_CLS_apple_products_sentiment_dataset_TRAIN",
        "train_problem_id": "LL1_TXT_CLS_apple_products_sentiment_problem_TRAIN",
        "test_dataset_id": "LL1_TXT_CLS_apple_products_sentiment_dataset_TEST",
        "test_problem_id": "LL1_TXT_CLS_apple_products_sentiment_problem_TEST",
        "score_dataset_id": "LL1_TXT_CLS_apple_products_sentiment_dataset_SCORE",
        "score_problem_id": "LL1_TXT_CLS_apple_products_sentiment_problem_SCORE"
    },
    {
        "name": "LL1_Adiac",
        "dataset_id": "LL1_Adiac_dataset",
        "problem_id": "LL1_Adiac_problem",
        "task_type": "classification",
        "size": 391,
        "train_dataset_id": "LL1_Adiac_dataset_TRAIN",
        "train_problem_id": "LL1_Adiac_problem_TRAIN",
        "test_dataset_id": "LL1_Adiac_dataset_TEST",
        "test_problem_id": "LL1_Adiac_problem_TEST",
        "score_dataset_id": "LL1_Adiac_dataset_SCORE",
        "score_problem_id": "LL1_Adiac_problem_SCORE"
    },
    {
        "name": "LL1_Haptics",
        "dataset_id": "LL1_Haptics_dataset",
        "problem_id": "LL1_Haptics_problem",
        "task_type": "classification",
        "size": 308,
        "train_dataset_id": "LL1_Haptics_dataset_TRAIN",
        "train_problem_id": "LL1_Haptics_problem_TRAIN",
        "test_dataset_id": "LL1_Haptics_dataset_TEST",
        "test_problem_id": "LL1_Haptics_problem_TEST",
        "score_dataset_id": "LL1_Haptics_dataset_SCORE",
        "score_problem_id": "LL1_Haptics_problem_SCORE"
    },
    {
        "name": "6_86_com_DBLP",
        "dataset_id": "6_86_com_DBLP_dataset",
        "problem_id": "6_86_com_DBLP_problem",
        "task_type": "communityDetection",
        "size": 107228,
        "train_dataset_id": "6_86_com_DBLP_dataset_TRAIN",
        "train_problem_id": "6_86_com_DBLP_problem_TRAIN",
        "test_dataset_id": "6_86_com_DBLP_dataset_TEST",
        "test_problem_id": "6_86_com_DBLP_problem_TEST",
        "score_dataset_id": "6_86_com_DBLP_dataset_SCORE",
        "score_problem_id": "6_86_com_DBLP_problem_SCORE"
    },
    {
        "name": "30_personae",
        "dataset_id": "30_personae_dataset",
        "problem_id": "30_personae_problem",
        "task_type": "classification",
        "size": 29,
        "train_dataset_id": "30_personae_dataset_TRAIN",
        "train_problem_id": "30_personae_problem_TRAIN",
        "test_dataset_id": "30_personae_dataset_TEST",
        "test_problem_id": "30_personae_problem_TEST",
        "score_dataset_id": "30_personae_dataset_SCORE",
        "score_problem_id": "30_personae_problem_SCORE"
    },
    {
        "name": "uu1_datasmash",
        "dataset_id": "uu1_datasmash_dataset",
        "problem_id": "uu1_datasmash_problem",
        "task_type": "classification",
        "size": 137,
        "train_dataset_id": "uu1_datasmash_dataset_TRAIN",
        "train_problem_id": "uu1_datasmash_problem_TRAIN",
        "test_dataset_id": "uu1_datasmash_dataset_TEST",
        "test_problem_id": "uu1_datasmash_problem_TEST",
        "score_dataset_id": "uu1_datasmash_dataset_SCORE",
        "score_problem_id": "uu1_datasmash_problem_SCORE"
    },
    {
        "name": "66_chlorineConcentration",
        "dataset_id": "66_chlorineConcentration_dataset",
        "problem_id": "66_chlorineConcentration_problem",
        "task_type": "classification",
        "size": 3840,
        "train_dataset_id": "66_chlorineConcentration_dataset_TRAIN",
        "train_problem_id": "66_chlorineConcentration_problem_TRAIN",
        "test_dataset_id": "66_chlorineConcentration_dataset_TEST",
        "test_problem_id": "66_chlorineConcentration_problem_TEST",
        "score_dataset_id": "66_chlorineConcentration_dataset_SCORE",
        "score_problem_id": "66_chlorineConcentration_problem_SCORE"
    },
    {
        "name": "LL0_186_braziltourism",
        "dataset_id": "LL0_186_braziltourism_dataset",
        "problem_id": "LL0_186_braziltourism_problem",
        "task_type": "classification",
        "size": 82,
        "train_dataset_id": "LL0_186_braziltourism_dataset_TRAIN",
        "train_problem_id": "LL0_186_braziltourism_problem_TRAIN",
        "test_dataset_id": "LL0_186_braziltourism_dataset_TEST",
        "test_problem_id": "LL0_186_braziltourism_problem_TEST",
        "score_dataset_id": "LL0_186_braziltourism_dataset_SCORE",
        "score_problem_id": "LL0_186_braziltourism_problem_SCORE"
    },
    {
        "name": "SEMI_1040_sylva_prior",
        "dataset_id": "SEMI_1040_sylva_prior_dataset",
        "problem_id": "SEMI_1040_sylva_prior_problem",
        "task_type": "semiSupervisedClassification",
        "size": 2878,
        "train_dataset_id": "SEMI_1040_sylva_prior_dataset_TRAIN",
        "train_problem_id": "SEMI_1040_sylva_prior_problem_TRAIN",
        "test_dataset_id": "SEMI_1040_sylva_prior_dataset_TEST",
        "test_problem_id": "SEMI_1040_sylva_prior_problem_TEST",
        "score_dataset_id": "SEMI_1040_sylva_prior_dataset_SCORE",
        "score_problem_id": "SEMI_1040_sylva_prior_problem_SCORE"
    },
    {
        "name": "56_sunspots",
        "dataset_id": "56_sunspots_dataset",
        "problem_id": "56_sunspots_problem",
        "task_type": "timeSeriesForecasting",
        "size": 21,
        "train_dataset_id": "56_sunspots_dataset_TRAIN",
        "train_problem_id": "56_sunspots_problem_TRAIN",
        "test_dataset_id": "56_sunspots_dataset_TEST",
        "test_problem_id": "56_sunspots_problem_TEST",
        "score_dataset_id": "56_sunspots_dataset_SCORE",
        "score_problem_id": "56_sunspots_problem_SCORE"
    },
    {
        "name": "56_sunspots_monthly",
        "dataset_id": "56_sunspots_monthly_dataset",
        "problem_id": "56_sunspots_monthly_problem",
        "task_type": "timeSeriesForecasting",
        "size": 38,
        "train_dataset_id": "56_sunspots_monthly_dataset_TRAIN",
        "train_problem_id": "56_sunspots_monthly_problem_TRAIN",
        "test_dataset_id": "56_sunspots_monthly_dataset_TEST",
        "test_problem_id": "56_sunspots_monthly_problem_TEST",
        "score_dataset_id": "56_sunspots_monthly_dataset_SCORE",
        "score_problem_id": "56_sunspots_monthly_problem_SCORE"
    },
    {
        "name": "26_radon_seed",
        "dataset_id": "26_radon_seed_dataset",
        "problem_id": "26_radon_seed_problem",
        "task_type": "regression",
        "size": 183,
        "train_dataset_id": "26_radon_seed_dataset_TRAIN",
        "train_problem_id": "26_radon_seed_problem_TRAIN",
        "test_dataset_id": "26_radon_seed_dataset_TEST",
        "test_problem_id": "26_radon_seed_problem_TEST",
        "score_dataset_id": "26_radon_seed_dataset_SCORE",
        "score_problem_id": "26_radon_seed_problem_SCORE"
    },
    {
        "name": "1491_one_hundred_plants_margin_clust",
        "dataset_id": "1491_one_hundred_plants_margin_clust_dataset",
        "problem_id": "1491_one_hundred_plants_margin_clust_problem",
        "task_type": "clustering",
        "size": 1600,
        "train_dataset_id": "1491_one_hundred_plants_margin_clust_dataset_TRAIN",
        "train_problem_id": "1491_one_hundred_plants_margin_clust_problem_TRAIN",
        "test_dataset_id": "1491_one_hundred_plants_margin_clust_dataset_TEST",
        "test_problem_id": "1491_one_hundred_plants_margin_clust_problem_TEST",
        "score_dataset_id": "1491_one_hundred_plants_margin_clust_dataset_SCORE",
        "score_problem_id": "1491_one_hundred_plants_margin_clust_problem_SCORE"
    },
    {
        "name": "LL1_336_MS_Geolife_transport_mode_prediction",
        "dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_dataset",
        "problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_problem",
        "task_type": "classification",
        "size": 1795404,
        "train_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_dataset_TRAIN",
        "train_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_problem_TRAIN",
        "test_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_dataset_TEST",
        "test_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_problem_TEST",
        "score_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_dataset_SCORE",
        "score_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_problem_SCORE"
    },
    {
        "name": "LL1_FISH",
        "dataset_id": "LL1_FISH_dataset",
        "problem_id": "LL1_FISH_problem",
        "task_type": "classification",
        "size": 175,
        "train_dataset_id": "LL1_FISH_dataset_TRAIN",
        "train_problem_id": "LL1_FISH_problem_TRAIN",
        "test_dataset_id": "LL1_FISH_dataset_TEST",
        "test_problem_id": "LL1_FISH_problem_TEST",
        "score_dataset_id": "LL1_FISH_dataset_SCORE",
        "score_problem_id": "LL1_FISH_problem_SCORE"
    },
    {
        "name": "LL1_FordA",
        "dataset_id": "LL1_FordA_dataset",
        "problem_id": "LL1_FordA_problem",
        "task_type": "classification",
        "size": 3601,
        "train_dataset_id": "LL1_FordA_dataset_TRAIN",
        "train_problem_id": "LL1_FordA_problem_TRAIN",
        "test_dataset_id": "LL1_FordA_dataset_TEST",
        "test_problem_id": "LL1_FordA_problem_TEST",
        "score_dataset_id": "LL1_FordA_dataset_SCORE",
        "score_problem_id": "LL1_FordA_problem_SCORE"
    },
    {
        "name": "38_sick",
        "dataset_id": "38_sick_dataset",
        "problem_id": "38_sick_problem",
        "task_type": "classification",
        "size": 754,
        "train_dataset_id": "38_sick_dataset_TRAIN",
        "train_problem_id": "38_sick_problem_TRAIN",
        "test_dataset_id": "38_sick_dataset_TEST",
        "test_problem_id": "38_sick_problem_TEST",
        "score_dataset_id": "38_sick_dataset_SCORE",
        "score_problem_id": "38_sick_problem_SCORE"
    },
    {
        "name": "LL1_ECG200",
        "dataset_id": "LL1_ECG200_dataset",
        "problem_id": "LL1_ECG200_problem",
        "task_type": "classification",
        "size": 100,
        "train_dataset_id": "LL1_ECG200_dataset_TRAIN",
        "train_problem_id": "LL1_ECG200_problem_TRAIN",
        "test_dataset_id": "LL1_ECG200_dataset_TEST",
        "test_problem_id": "LL1_ECG200_problem_TEST",
        "score_dataset_id": "LL1_ECG200_dataset_SCORE",
        "score_problem_id": "LL1_ECG200_problem_SCORE"
    },
    {
        "name": "185_baseball",
        "dataset_id": "185_baseball_dataset",
        "problem_id": "185_baseball_problem",
        "task_type": "classification",
        "size": 267,
        "train_dataset_id": "185_baseball_dataset_TRAIN",
        "train_problem_id": "185_baseball_problem_TRAIN",
        "test_dataset_id": "185_baseball_dataset_TEST",
        "test_problem_id": "185_baseball_problem_TEST",
        "score_dataset_id": "185_baseball_dataset_SCORE",
        "score_problem_id": "185_baseball_problem_SCORE"
    },
    {
        "name": "uu5_heartstatlog",
        "dataset_id": "uu5_heartstatlog_dataset",
        "problem_id": "uu5_heartstatlog_problem",
        "task_type": "classification",
        "size": 81,
        "train_dataset_id": "uu5_heartstatlog_dataset_TRAIN",
        "train_problem_id": "uu5_heartstatlog_problem_TRAIN",
        "test_dataset_id": "uu5_heartstatlog_dataset_TEST",
        "test_problem_id": "uu5_heartstatlog_problem_TEST",
        "score_dataset_id": "uu5_heartstatlog_dataset_SCORE",
        "score_problem_id": "uu5_heartstatlog_problem_SCORE"
    },
    {
        "name": "49_facebook",
        "dataset_id": "49_facebook_dataset",
        "problem_id": "49_facebook_problem",
        "task_type": "graphMatching",
        "size": 1304,
        "train_dataset_id": "49_facebook_dataset_TRAIN",
        "train_problem_id": "49_facebook_problem_TRAIN",
        "test_dataset_id": "49_facebook_dataset_TEST",
        "test_problem_id": "49_facebook_problem_TEST",
        "score_dataset_id": "49_facebook_dataset_SCORE",
        "score_problem_id": "49_facebook_problem_SCORE"
    },
    {
        "name": "LL1_ArrowHead",
        "dataset_id": "LL1_ArrowHead_dataset",
        "problem_id": "LL1_ArrowHead_problem",
        "task_type": "classification",
        "size": 175,
        "train_dataset_id": "LL1_ArrowHead_dataset_TRAIN",
        "train_problem_id": "LL1_ArrowHead_problem_TRAIN",
        "test_dataset_id": "LL1_ArrowHead_dataset_TEST",
        "test_problem_id": "LL1_ArrowHead_problem_TEST",
        "score_dataset_id": "LL1_ArrowHead_dataset_SCORE",
        "score_problem_id": "LL1_ArrowHead_problem_SCORE"
    },
    {
        "name": "LL1_OSULeaf",
        "dataset_id": "LL1_OSULeaf_dataset",
        "problem_id": "LL1_OSULeaf_problem",
        "task_type": "classification",
        "size": 242,
        "train_dataset_id": "LL1_OSULeaf_dataset_TRAIN",
        "train_problem_id": "LL1_OSULeaf_problem_TRAIN",
        "test_dataset_id": "LL1_OSULeaf_dataset_TEST",
        "test_problem_id": "LL1_OSULeaf_problem_TEST",
        "score_dataset_id": "LL1_OSULeaf_dataset_SCORE",
        "score_problem_id": "LL1_OSULeaf_problem_SCORE"
    },
    {
        "name": "LL0_acled_reduced",
        "dataset_id": "LL0_acled_reduced_dataset",
        "problem_id": "LL0_acled_reduced_problem",
        "task_type": "classification",
        "size": 7201,
        "train_dataset_id": "LL0_acled_reduced_dataset_TRAIN",
        "train_problem_id": "LL0_acled_reduced_problem_TRAIN",
        "test_dataset_id": "LL0_acled_reduced_dataset_TEST",
        "test_problem_id": "LL0_acled_reduced_problem_TEST",
        "score_dataset_id": "LL0_acled_reduced_dataset_SCORE",
        "score_problem_id": "LL0_acled_reduced_problem_SCORE"
    },
    {
        "name": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon",
        "dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_dataset",
        "problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_problem",
        "task_type": "classification",
        "size": 1795404,
        "train_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_dataset_TRAIN",
        "train_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_problem_TRAIN",
        "test_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_dataset_TEST",
        "test_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_problem_TEST",
        "score_dataset_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_dataset_SCORE",
        "score_problem_id": "LL1_336_MS_Geolife_transport_mode_prediction_separate_lat_lon_problem_SCORE"
    },
    {
        "name": "uu4_SPECT",
        "dataset_id": "uu4_SPECT_dataset",
        "problem_id": "uu4_SPECT_problem",
        "task_type": "classification",
        "size": 53,
        "train_dataset_id": "uu4_SPECT_dataset_TRAIN",
        "train_problem_id": "uu4_SPECT_problem_TRAIN",
        "test_dataset_id": "uu4_SPECT_dataset_TEST",
        "test_problem_id": "uu4_SPECT_problem_TEST",
        "score_dataset_id": "uu4_SPECT_dataset_SCORE",
        "score_problem_id": "uu4_SPECT_problem_SCORE"
    },
    {
        "name": "uu6_hepatitis",
        "dataset_id": "uu6_hepatitis_dataset",
        "problem_id": "uu6_hepatitis_problem",
        "task_type": "classification",
        "size": 47,
        "train_dataset_id": "uu6_hepatitis_dataset_TRAIN",
        "train_problem_id": "uu6_hepatitis_problem_TRAIN",
        "test_dataset_id": "uu6_hepatitis_dataset_TEST",
        "test_problem_id": "uu6_hepatitis_problem_TEST",
        "score_dataset_id": "uu6_hepatitis_dataset_SCORE",
        "score_problem_id": "uu6_hepatitis_problem_SCORE"
    },
    {
        "name": "LL0_1100_popularkids",
        "dataset_id": "LL0_1100_popularkids_dataset",
        "problem_id": "LL0_1100_popularkids_problem",
        "task_type": "classification",
        "size": 100,
        "train_dataset_id": "LL0_1100_popularkids_dataset_TRAIN",
        "train_problem_id": "LL0_1100_popularkids_problem_TRAIN",
        "test_dataset_id": "LL0_1100_popularkids_dataset_TEST",
        "test_problem_id": "LL0_1100_popularkids_problem_TEST",
        "score_dataset_id": "LL0_1100_popularkids_dataset_SCORE",
        "score_problem_id": "LL0_1100_popularkids_problem_SCORE"
    },
    {
        "name": "57_hypothyroid",
        "dataset_id": "57_hypothyroid_dataset",
        "problem_id": "57_hypothyroid_problem",
        "task_type": "classification",
        "size": 754,
        "train_dataset_id": "57_hypothyroid_dataset_TRAIN",
        "train_problem_id": "57_hypothyroid_problem_TRAIN",
        "test_dataset_id": "57_hypothyroid_dataset_TEST",
        "test_problem_id": "57_hypothyroid_problem_TEST",
        "score_dataset_id": "57_hypothyroid_dataset_SCORE",
        "score_problem_id": "57_hypothyroid_problem_SCORE"
    },
    {
        "name": "LL1_HandOutlines",
        "dataset_id": "LL1_HandOutlines_dataset",
        "problem_id": "LL1_HandOutlines_problem",
        "task_type": "classification",
        "size": 1000,
        "train_dataset_id": "LL1_HandOutlines_dataset_TRAIN",
        "train_problem_id": "LL1_HandOutlines_problem_TRAIN",
        "test_dataset_id": "LL1_HandOutlines_dataset_TEST",
        "test_problem_id": "LL1_HandOutlines_problem_TEST",
        "score_dataset_id": "LL1_HandOutlines_dataset_SCORE",
        "score_problem_id": "LL1_HandOutlines_problem_SCORE"
    },
    {
        "name": "LL1_FaceFour",
        "dataset_id": "LL1_FaceFour_dataset",
        "problem_id": "LL1_FaceFour_problem",
        "task_type": "classification",
        "size": 88,
        "train_dataset_id": "LL1_FaceFour_dataset_TRAIN",
        "train_problem_id": "LL1_FaceFour_problem_TRAIN",
        "test_dataset_id": "LL1_FaceFour_dataset_TEST",
        "test_problem_id": "LL1_FaceFour_problem_TEST",
        "score_dataset_id": "LL1_FaceFour_dataset_SCORE",
        "score_problem_id": "LL1_FaceFour_problem_SCORE"
    },
    {
        "name": "32_fma",
        "dataset_id": "32_fma_dataset",
        "problem_id": "32_fma_problem",
        "task_type": "classification",
        "size": 1600,
        "train_dataset_id": "32_fma_dataset_TRAIN",
        "train_problem_id": "32_fma_problem_TRAIN",
        "test_dataset_id": "32_fma_dataset_TEST",
        "test_problem_id": "32_fma_problem_TEST",
        "score_dataset_id": "32_fma_dataset_SCORE",
        "score_problem_id": "32_fma_problem_SCORE"
    },
    {
        "name": "124_188_usps",
        "dataset_id": "124_188_usps_dataset",
        "problem_id": "124_188_usps_problem",
        "task_type": "classification",
        "size": 2007,
        "train_dataset_id": "124_188_usps_dataset_TRAIN",
        "train_problem_id": "124_188_usps_problem_TRAIN",
        "test_dataset_id": "124_188_usps_dataset_TEST",
        "test_problem_id": "124_188_usps_problem_TEST",
        "score_dataset_id": "124_188_usps_dataset_SCORE",
        "score_problem_id": "124_188_usps_problem_SCORE"
    },
    {
        "name": "SEMI_155_pokerhand",
        "dataset_id": "SEMI_155_pokerhand_dataset",
        "problem_id": "SEMI_155_pokerhand_problem",
        "task_type": "semiSupervisedClassification",
        "size": 165840,
        "train_dataset_id": "SEMI_155_pokerhand_dataset_TRAIN",
        "train_problem_id": "SEMI_155_pokerhand_problem_TRAIN",
        "test_dataset_id": "SEMI_155_pokerhand_dataset_TEST",
        "test_problem_id": "SEMI_155_pokerhand_problem_TEST",
        "score_dataset_id": "SEMI_155_pokerhand_dataset_SCORE",
        "score_problem_id": "SEMI_155_pokerhand_problem_SCORE"
    },
    {
        "name": "31_urbansound",
        "dataset_id": "31_urbansound_dataset",
        "problem_id": "31_urbansound_problem",
        "task_type": "classification",
        "size": 378,
        "train_dataset_id": "31_urbansound_dataset_TRAIN",
        "train_problem_id": "31_urbansound_problem_TRAIN",
        "test_dataset_id": "31_urbansound_dataset_TEST",
        "test_problem_id": "31_urbansound_problem_TEST",
        "score_dataset_id": "31_urbansound_dataset_SCORE",
        "score_problem_id": "31_urbansound_problem_SCORE"
    },
    {
        "name": "LL1_VTXC_1343_cora",
        "dataset_id": "LL1_VTXC_1343_cora_dataset",
        "problem_id": "LL1_VTXC_1343_cora_problem",
        "task_type": "vertexClassification",
        "size": 2438,
        "train_dataset_id": "LL1_VTXC_1343_cora_dataset_TRAIN",
        "train_problem_id": "LL1_VTXC_1343_cora_problem_TRAIN",
        "test_dataset_id": "LL1_VTXC_1343_cora_dataset_TEST",
        "test_problem_id": "LL1_VTXC_1343_cora_problem_TEST",
        "score_dataset_id": "LL1_VTXC_1343_cora_dataset_SCORE",
        "score_problem_id": "LL1_VTXC_1343_cora_problem_SCORE"
    },
    {
        "name": "1567_poker_hand",
        "dataset_id": "1567_poker_hand_dataset",
        "problem_id": "1567_poker_hand_problem",
        "task_type": "classification",
        "size": 205001,
        "train_dataset_id": "1567_poker_hand_dataset_TRAIN",
        "train_problem_id": "1567_poker_hand_problem_TRAIN",
        "test_dataset_id": "1567_poker_hand_dataset_TEST",
        "test_problem_id": "1567_poker_hand_problem_TEST",
        "score_dataset_id": "1567_poker_hand_dataset_SCORE",
        "score_problem_id": "1567_poker_hand_problem_SCORE"
    },
    {
        "name": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction",
        "dataset_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_dataset",
        "problem_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_problem",
        "task_type": "classification",
        "size": 54,
        "train_dataset_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_dataset_TRAIN",
        "train_problem_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_problem_TRAIN",
        "test_dataset_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_dataset_TEST",
        "test_problem_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_problem_TEST",
        "score_dataset_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_dataset_SCORE",
        "score_problem_id": "LL1_726_TIDY_GPS_carpool_bus_service_rating_prediction_problem_SCORE"
    },
    {
        "name": "6_70_com_amazon",
        "dataset_id": "6_70_com_amazon_dataset",
        "problem_id": "6_70_com_amazon_problem",
        "task_type": "communityDetection",
        "size": 62462,
        "train_dataset_id": "6_70_com_amazon_dataset_TRAIN",
        "train_problem_id": "6_70_com_amazon_problem_TRAIN",
        "test_dataset_id": "6_70_com_amazon_dataset_TEST",
        "test_problem_id": "6_70_com_amazon_problem_TEST",
        "score_dataset_id": "6_70_com_amazon_dataset_SCORE",
        "score_problem_id": "6_70_com_amazon_problem_SCORE"
    },
    {
        "name": "22_handgeometry",
        "dataset_id": "22_handgeometry_dataset",
        "problem_id": "22_handgeometry_problem",
        "task_type": "regression",
        "size": 38,
        "train_dataset_id": "22_handgeometry_dataset_TRAIN",
        "train_problem_id": "22_handgeometry_problem_TRAIN",
        "test_dataset_id": "22_handgeometry_dataset_TEST",
        "test_problem_id": "22_handgeometry_problem_TEST",
        "score_dataset_id": "22_handgeometry_dataset_SCORE",
        "score_problem_id": "22_handgeometry_problem_SCORE"
    },
    {
        "name": "196_autoMpg",
        "dataset_id": "196_autoMpg_dataset",
        "problem_id": "196_autoMpg_problem",
        "task_type": "regression",
        "size": 100,
        "train_dataset_id": "196_autoMpg_dataset_TRAIN",
        "train_problem_id": "196_autoMpg_problem_TRAIN",
        "test_dataset_id": "196_autoMpg_dataset_TEST",
        "test_problem_id": "196_autoMpg_problem_TEST",
        "score_dataset_id": "196_autoMpg_dataset_SCORE",
        "score_problem_id": "196_autoMpg_problem_SCORE"
    },
    {
        "name": "DS01876",
        "dataset_id": "DS01876_dataset",
        "problem_id": "DS01876_problem",
        "task_type": "vertexNomination",
        "size": 1759,
        "train_dataset_id": "DS01876_dataset_TRAIN",
        "train_problem_id": "DS01876_problem_TRAIN",
        "test_dataset_id": "DS01876_dataset_TEST",
        "test_problem_id": "DS01876_problem_TEST",
        "score_dataset_id": "DS01876_dataset_SCORE",
        "score_problem_id": "DS01876_problem_SCORE"
    },
    {
        "name": "LL1_TXT_CLS_airline_opinion",
        "dataset_id": "LL1_TXT_CLS_airline_opinion_dataset",
        "problem_id": "LL1_TXT_CLS_airline_opinion_problem",
        "task_type": "classification",
        "size": 2928,
        "train_dataset_id": "LL1_TXT_CLS_airline_opinion_dataset_TRAIN",
        "train_problem_id": "LL1_TXT_CLS_airline_opinion_problem_TRAIN",
        "test_dataset_id": "LL1_TXT_CLS_airline_opinion_dataset_TEST",
        "test_problem_id": "LL1_TXT_CLS_airline_opinion_problem_TEST",
        "score_dataset_id": "LL1_TXT_CLS_airline_opinion_dataset_SCORE",
        "score_problem_id": "LL1_TXT_CLS_airline_opinion_problem_SCORE"
    },
    {
        "name": "LL1_50words",
        "dataset_id": "LL1_50words_dataset",
        "problem_id": "LL1_50words_problem",
        "task_type": "classification",
        "size": 455,
        "train_dataset_id": "LL1_50words_dataset_TRAIN",
        "train_problem_id": "LL1_50words_problem_TRAIN",
        "test_dataset_id": "LL1_50words_dataset_TEST",
        "test_problem_id": "LL1_50words_problem_TEST",
        "score_dataset_id": "LL1_50words_dataset_SCORE",
        "score_problem_id": "LL1_50words_problem_SCORE"
    },
    {
        "name": "LL1_Cricket_Y",
        "dataset_id": "LL1_Cricket_Y_dataset",
        "problem_id": "LL1_Cricket_Y_problem",
        "task_type": "classification",
        "size": 390,
        "train_dataset_id": "LL1_Cricket_Y_dataset_TRAIN",
        "train_problem_id": "LL1_Cricket_Y_problem_TRAIN",
        "test_dataset_id": "LL1_Cricket_Y_dataset_TEST",
        "test_problem_id": "LL1_Cricket_Y_problem_TEST",
        "score_dataset_id": "LL1_Cricket_Y_dataset_SCORE",
        "score_problem_id": "LL1_Cricket_Y_problem_SCORE"
    },
    {
        "name": "1491_one_hundred_plants_margin",
        "dataset_id": "1491_one_hundred_plants_margin_dataset",
        "problem_id": "1491_one_hundred_plants_margin_problem",
        "task_type": "classification",
        "size": 319,
        "train_dataset_id": "1491_one_hundred_plants_margin_dataset_TRAIN",
        "train_problem_id": "1491_one_hundred_plants_margin_problem_TRAIN",
        "test_dataset_id": "1491_one_hundred_plants_margin_dataset_TEST",
        "test_problem_id": "1491_one_hundred_plants_margin_problem_TEST",
        "score_dataset_id": "1491_one_hundred_plants_margin_dataset_SCORE",
        "score_problem_id": "1491_one_hundred_plants_margin_problem_SCORE"
    },
    {
        "name": "LL0_207_autoPrice",
        "dataset_id": "LL0_207_autoPrice_dataset",
        "problem_id": "LL0_207_autoPrice_problem",
        "task_type": "regression",
        "size": 100,
        "train_dataset_id": "LL0_207_autoPrice_dataset_TRAIN",
        "train_problem_id": "LL0_207_autoPrice_problem_TRAIN",
        "test_dataset_id": "LL0_207_autoPrice_dataset_TEST",
        "test_problem_id": "LL0_207_autoPrice_problem_TEST",
        "score_dataset_id": "LL0_207_autoPrice_dataset_SCORE",
        "score_problem_id": "LL0_207_autoPrice_problem_SCORE"
    },
    {
        "name": "124_214_coil20",
        "dataset_id": "124_214_coil20_dataset",
        "problem_id": "124_214_coil20_problem",
        "task_type": "classification",
        "size": 1360,
        "train_dataset_id": "124_214_coil20_dataset_TRAIN",
        "train_problem_id": "124_214_coil20_problem_TRAIN",
        "test_dataset_id": "124_214_coil20_dataset_TEST",
        "test_problem_id": "124_214_coil20_problem_TEST",
        "score_dataset_id": "124_214_coil20_dataset_SCORE",
        "score_problem_id": "124_214_coil20_problem_SCORE"
    },
    {
        "name": "LL1_736_population_spawn",
        "dataset_id": "LL1_736_population_spawn_dataset",
        "problem_id": "LL1_736_population_spawn_problem",
        "task_type": "timeSeriesForecasting",
        "size": 288,
        "train_dataset_id": "LL1_736_population_spawn_dataset_TRAIN",
        "train_problem_id": "LL1_736_population_spawn_problem_TRAIN",
        "test_dataset_id": "LL1_736_population_spawn_dataset_TEST",
        "test_problem_id": "LL1_736_population_spawn_problem_TEST",
        "score_dataset_id": "LL1_736_population_spawn_dataset_SCORE",
        "score_problem_id": "LL1_736_population_spawn_problem_SCORE"
    },
    {
        "name": "SEMI_1044_eye_movements",
        "dataset_id": "SEMI_1044_eye_movements_dataset",
        "problem_id": "SEMI_1044_eye_movements_problem",
        "task_type": "semiSupervisedClassification",
        "size": 2187,
        "train_dataset_id": "SEMI_1044_eye_movements_dataset_TRAIN",
        "train_problem_id": "SEMI_1044_eye_movements_problem_TRAIN",
        "test_dataset_id": "SEMI_1044_eye_movements_dataset_TEST",
        "test_problem_id": "SEMI_1044_eye_movements_problem_TEST",
        "score_dataset_id": "SEMI_1044_eye_movements_dataset_SCORE",
        "score_problem_id": "SEMI_1044_eye_movements_problem_SCORE"
    },
    {
        "name": "LL1_ItalyPowerDemand",
        "dataset_id": "LL1_ItalyPowerDemand_dataset",
        "problem_id": "LL1_ItalyPowerDemand_problem",
        "task_type": "classification",
        "size": 1029,
        "train_dataset_id": "LL1_ItalyPowerDemand_dataset_TRAIN",
        "train_problem_id": "LL1_ItalyPowerDemand_problem_TRAIN",
        "test_dataset_id": "LL1_ItalyPowerDemand_dataset_TEST",
        "test_problem_id": "LL1_ItalyPowerDemand_problem_TEST",
        "score_dataset_id": "LL1_ItalyPowerDemand_dataset_SCORE",
        "score_problem_id": "LL1_ItalyPowerDemand_problem_SCORE"
    },
    {
        "name": "uu3_world_development_indicators",
        "dataset_id": "uu3_world_development_indicators_dataset",
        "problem_id": "uu3_world_development_indicators_problem",
        "task_type": "regression",
        "size": 12304,
        "train_dataset_id": "uu3_world_development_indicators_dataset_TRAIN",
        "train_problem_id": "uu3_world_development_indicators_problem_TRAIN",
        "test_dataset_id": "uu3_world_development_indicators_dataset_TEST",
        "test_problem_id": "uu3_world_development_indicators_problem_TEST",
        "score_dataset_id": "uu3_world_development_indicators_dataset_SCORE",
        "score_problem_id": "uu3_world_development_indicators_problem_SCORE"
    },
    {
        "name": "4550_MiceProtein",
        "dataset_id": "4550_MiceProtein_dataset",
        "problem_id": "4550_MiceProtein_problem",
        "task_type": "classification",
        "size": 216,
        "train_dataset_id": "4550_MiceProtein_dataset_TRAIN",
        "train_problem_id": "4550_MiceProtein_problem_TRAIN",
        "test_dataset_id": "4550_MiceProtein_dataset_TEST",
        "test_problem_id": "4550_MiceProtein_problem_TEST",
        "score_dataset_id": "4550_MiceProtein_dataset_SCORE",
        "score_problem_id": "4550_MiceProtein_problem_SCORE"
    },
    {
        "name": "uu7_pima_diabetes",
        "dataset_id": "uu7_pima_diabetes_dataset",
        "problem_id": "uu7_pima_diabetes_problem",
        "task_type": "classification",
        "size": 231,
        "train_dataset_id": "uu7_pima_diabetes_dataset_TRAIN",
        "train_problem_id": "uu7_pima_diabetes_problem_TRAIN",
        "test_dataset_id": "uu7_pima_diabetes_dataset_TEST",
        "test_problem_id": "uu7_pima_diabetes_problem_TEST",
        "score_dataset_id": "uu7_pima_diabetes_dataset_SCORE",
        "score_problem_id": "uu7_pima_diabetes_problem_SCORE"
    },
    {
        "name": "LL1_ElectricDevices",
        "dataset_id": "LL1_ElectricDevices_dataset",
        "problem_id": "LL1_ElectricDevices_problem",
        "task_type": "classification",
        "size": 7711,
        "train_dataset_id": "LL1_ElectricDevices_dataset_TRAIN",
        "train_problem_id": "LL1_ElectricDevices_problem_TRAIN",
        "test_dataset_id": "LL1_ElectricDevices_dataset_TEST",
        "test_problem_id": "LL1_ElectricDevices_problem_TEST",
        "score_dataset_id": "LL1_ElectricDevices_dataset_SCORE",
        "score_problem_id": "LL1_ElectricDevices_problem_SCORE"
    },
    {
        "name": "LL1_3476_HMDB_actio_recognition",
        "dataset_id": "LL1_3476_HMDB_actio_recognition_dataset",
        "problem_id": "LL1_3476_HMDB_actio_recognition_problem",
        "task_type": "classification",
        "size": 63,
        "train_dataset_id": "LL1_3476_HMDB_actio_recognition_dataset_TRAIN",
        "train_problem_id": "LL1_3476_HMDB_actio_recognition_problem_TRAIN",
        "test_dataset_id": "LL1_3476_HMDB_actio_recognition_dataset_TEST",
        "test_problem_id": "LL1_3476_HMDB_actio_recognition_problem_TEST",
        "score_dataset_id": "LL1_3476_HMDB_actio_recognition_dataset_SCORE",
        "score_problem_id": "LL1_3476_HMDB_actio_recognition_problem_SCORE"
    },
    {
        "name": "LL1_penn_fudan_pedestrian",
        "dataset_id": "LL1_penn_fudan_pedestrian_dataset",
        "problem_id": "LL1_penn_fudan_pedestrian_problem",
        "task_type": "objectDetection",
        "size": 134,
        "train_dataset_id": "LL1_penn_fudan_pedestrian_dataset_TRAIN",
        "train_problem_id": "LL1_penn_fudan_pedestrian_problem_TRAIN",
        "test_dataset_id": "LL1_penn_fudan_pedestrian_dataset_TEST",
        "test_problem_id": "LL1_penn_fudan_pedestrian_problem_TEST",
        "score_dataset_id": "LL1_penn_fudan_pedestrian_dataset_SCORE",
        "score_problem_id": "LL1_penn_fudan_pedestrian_problem_SCORE"
    },
    {
        "name": "27_wordLevels",
        "dataset_id": "27_wordLevels_dataset",
        "problem_id": "27_wordLevels_problem",
        "task_type": "classification",
        "size": 1400,
        "train_dataset_id": "27_wordLevels_dataset_TRAIN",
        "train_problem_id": "27_wordLevels_problem_TRAIN",
        "test_dataset_id": "27_wordLevels_dataset_TEST",
        "test_problem_id": "27_wordLevels_problem_TEST",
        "score_dataset_id": "27_wordLevels_dataset_SCORE",
        "score_problem_id": "27_wordLevels_problem_SCORE"
    },
    {
        "name": "uu2_gp_hyperparameter_estimation",
        "dataset_id": "uu2_gp_hyperparameter_estimation_dataset",
        "problem_id": "uu2_gp_hyperparameter_estimation_problem",
        "task_type": "regression",
        "size": 100,
        "train_dataset_id": "uu2_gp_hyperparameter_estimation_dataset_TRAIN",
        "train_problem_id": "uu2_gp_hyperparameter_estimation_problem_TRAIN",
        "test_dataset_id": "uu2_gp_hyperparameter_estimation_dataset_TEST",
        "test_problem_id": "uu2_gp_hyperparameter_estimation_problem_TEST",
        "score_dataset_id": "uu2_gp_hyperparameter_estimation_dataset_SCORE",
        "score_problem_id": "uu2_gp_hyperparameter_estimation_problem_SCORE"
    },
    {
        "name": "LL1_736_population_spawn_simpler",
        "dataset_id": "LL1_736_population_spawn_simpler_dataset",
        "problem_id": "LL1_736_population_spawn_simpler_problem",
        "task_type": "timeSeriesForecasting",
        "size": 144,
        "train_dataset_id": "LL1_736_population_spawn_simpler_dataset_TRAIN",
        "train_problem_id": "LL1_736_population_spawn_simpler_problem_TRAIN",
        "test_dataset_id": "LL1_736_population_spawn_simpler_dataset_TEST",
        "test_problem_id": "LL1_736_population_spawn_simpler_problem_TEST",
        "score_dataset_id": "LL1_736_population_spawn_simpler_dataset_SCORE",
        "score_problem_id": "LL1_736_population_spawn_simpler_problem_SCORE"
    },
    {
        "name": "LL1_CinC_ECG_torso",
        "dataset_id": "LL1_CinC_ECG_torso_dataset",
        "problem_id": "LL1_CinC_ECG_torso_problem",
        "task_type": "classification",
        "size": 1380,
        "train_dataset_id": "LL1_CinC_ECG_torso_dataset_TRAIN",
        "train_problem_id": "LL1_CinC_ECG_torso_problem_TRAIN",
        "test_dataset_id": "LL1_CinC_ECG_torso_dataset_TEST",
        "test_problem_id": "LL1_CinC_ECG_torso_problem_TEST",
        "score_dataset_id": "LL1_CinC_ECG_torso_dataset_SCORE",
        "score_problem_id": "LL1_CinC_ECG_torso_problem_SCORE"
    },
    {
        "name": "299_libras_move",
        "dataset_id": "299_libras_move_dataset",
        "problem_id": "299_libras_move_problem",
        "task_type": "classification",
        "size": 72,
        "train_dataset_id": "299_libras_move_dataset_TRAIN",
        "train_problem_id": "299_libras_move_problem_TRAIN",
        "test_dataset_id": "299_libras_move_dataset_TEST",
        "test_problem_id": "299_libras_move_problem_TEST",
        "score_dataset_id": "299_libras_move_dataset_SCORE",
        "score_problem_id": "299_libras_move_problem_SCORE"
    },
    {
        "name": "LL1_736_stock_market",
        "dataset_id": "LL1_736_stock_market_dataset",
        "problem_id": "LL1_736_stock_market_problem",
        "task_type": "timeSeriesForecasting",
        "size": 278,
        "train_dataset_id": "LL1_736_stock_market_dataset_TRAIN",
        "train_problem_id": "LL1_736_stock_market_problem_TRAIN",
        "test_dataset_id": "LL1_736_stock_market_dataset_TEST",
        "test_problem_id": "LL1_736_stock_market_problem_TEST",
        "score_dataset_id": "LL1_736_stock_market_dataset_SCORE",
        "score_problem_id": "LL1_736_stock_market_problem_SCORE"
    },
    {
        "name": "LL1_bn_fly_drosophila_medulla_net",
        "dataset_id": "LL1_bn_fly_drosophila_medulla_net_dataset",
        "problem_id": "LL1_bn_fly_drosophila_medulla_net_problem",
        "task_type": "communityDetection",
        "size": 1781,
        "train_dataset_id": "LL1_bn_fly_drosophila_medulla_net_dataset_TRAIN",
        "train_problem_id": "LL1_bn_fly_drosophila_medulla_net_problem_TRAIN",
        "test_dataset_id": "LL1_bn_fly_drosophila_medulla_net_dataset_TEST",
        "test_problem_id": "LL1_bn_fly_drosophila_medulla_net_problem_TEST",
        "score_dataset_id": "LL1_bn_fly_drosophila_medulla_net_dataset_SCORE",
        "score_problem_id": "LL1_bn_fly_drosophila_medulla_net_problem_SCORE"
    },
    {
        "name": "LL1_multilearn_emotions",
        "dataset_id": "LL1_multilearn_emotions_dataset",
        "problem_id": "LL1_multilearn_emotions_problem",
        "task_type": "classification",
        "size": 877,
        "train_dataset_id": "LL1_multilearn_emotions_dataset_TRAIN",
        "train_problem_id": "LL1_multilearn_emotions_problem_TRAIN",
        "test_dataset_id": "LL1_multilearn_emotions_dataset_TEST",
        "test_problem_id": "LL1_multilearn_emotions_problem_TEST",
        "score_dataset_id": "LL1_multilearn_emotions_dataset_SCORE",
        "score_problem_id": "LL1_multilearn_emotions_problem_SCORE"
    },
    {
        "name": "313_spectrometer",
        "dataset_id": "313_spectrometer_dataset",
        "problem_id": "313_spectrometer_problem",
        "task_type": "classification",
        "size": 103,
        "train_dataset_id": "313_spectrometer_dataset_TRAIN",
        "train_problem_id": "313_spectrometer_problem_TRAIN",
        "test_dataset_id": "313_spectrometer_dataset_TEST",
        "test_problem_id": "313_spectrometer_problem_TEST",
        "score_dataset_id": "313_spectrometer_dataset_SCORE",
        "score_problem_id": "313_spectrometer_problem_SCORE"
    },
    {
        "name": "SEMI_1053_jm1",
        "dataset_id": "SEMI_1053_jm1_dataset",
        "problem_id": "SEMI_1053_jm1_problem",
        "task_type": "semiSupervisedClassification",
        "size": 2176,
        "train_dataset_id": "SEMI_1053_jm1_dataset_TRAIN",
        "train_problem_id": "SEMI_1053_jm1_problem_TRAIN",
        "test_dataset_id": "SEMI_1053_jm1_dataset_TEST",
        "test_problem_id": "SEMI_1053_jm1_problem_TEST",
        "score_dataset_id": "SEMI_1053_jm1_dataset_SCORE",
        "score_problem_id": "SEMI_1053_jm1_problem_SCORE"
    },
    {
        "name": "LL1_net_nomination_seed",
        "dataset_id": "LL1_net_nomination_seed_dataset",
        "problem_id": "LL1_net_nomination_seed_problem",
        "task_type": "vertexClassification",
        "size": 80,
        "train_dataset_id": "LL1_net_nomination_seed_dataset_TRAIN",
        "train_problem_id": "LL1_net_nomination_seed_problem_TRAIN",
        "test_dataset_id": "LL1_net_nomination_seed_dataset_TEST",
        "test_problem_id": "LL1_net_nomination_seed_problem_TEST",
        "score_dataset_id": "LL1_net_nomination_seed_dataset_SCORE",
        "score_problem_id": "LL1_net_nomination_seed_problem_SCORE"
    },
    {
        "name": "uu_101_object_categories",
        "dataset_id": "uu_101_object_categories_dataset",
        "problem_id": "uu_101_object_categories_problem",
        "task_type": "classification",
        "size": 868,
        "train_dataset_id": "uu_101_object_categories_dataset_TRAIN",
        "train_problem_id": "uu_101_object_categories_problem_TRAIN",
        "test_dataset_id": "uu_101_object_categories_dataset_TEST",
        "test_problem_id": "uu_101_object_categories_problem_TEST",
        "score_dataset_id": "uu_101_object_categories_dataset_SCORE",
        "score_problem_id": "uu_101_object_categories_problem_SCORE"
    },
    {
        "name": "LL1_crime_chicago",
        "dataset_id": "LL1_crime_chicago_dataset",
        "problem_id": "LL1_crime_chicago_problem",
        "task_type": "classification",
        "size": 60,
        "train_dataset_id": "LL1_crime_chicago_dataset_TRAIN",
        "train_problem_id": "LL1_crime_chicago_problem_TRAIN",
        "test_dataset_id": "LL1_crime_chicago_dataset_TEST",
        "test_problem_id": "LL1_crime_chicago_problem_TEST",
        "score_dataset_id": "LL1_crime_chicago_dataset_SCORE",
        "score_problem_id": "LL1_crime_chicago_problem_SCORE"
    },
    {
        "name": "124_174_cifar10",
        "dataset_id": "124_174_cifar10_dataset",
        "problem_id": "124_174_cifar10_problem",
        "task_type": "classification",
        "size": 10000,
        "train_dataset_id": "124_174_cifar10_dataset_TRAIN",
        "train_problem_id": "124_174_cifar10_problem_TRAIN",
        "test_dataset_id": "124_174_cifar10_dataset_TEST",
        "test_problem_id": "124_174_cifar10_problem_TEST",
        "score_dataset_id": "124_174_cifar10_dataset_SCORE",
        "score_problem_id": "124_174_cifar10_problem_SCORE"
    },
    {
        "name": "LL1_Meat",
        "dataset_id": "LL1_Meat_dataset",
        "problem_id": "LL1_Meat_problem",
        "task_type": "classification",
        "size": 60,
        "train_dataset_id": "LL1_Meat_dataset_TRAIN",
        "train_problem_id": "LL1_Meat_problem_TRAIN",
        "test_dataset_id": "LL1_Meat_dataset_TEST",
        "test_problem_id": "LL1_Meat_problem_TEST",
        "score_dataset_id": "LL1_Meat_dataset_SCORE",
        "score_problem_id": "LL1_Meat_problem_SCORE"
    },
    {
        "name": "SEMI_1459_artificial_characters",
        "dataset_id": "SEMI_1459_artificial_characters_dataset",
        "problem_id": "SEMI_1459_artificial_characters_problem",
        "task_type": "semiSupervisedClassification",
        "size": 2043,
        "train_dataset_id": "SEMI_1459_artificial_characters_dataset_TRAIN",
        "train_problem_id": "SEMI_1459_artificial_characters_problem_TRAIN",
        "test_dataset_id": "SEMI_1459_artificial_characters_dataset_TEST",
        "test_problem_id": "SEMI_1459_artificial_characters_problem_TEST",
        "score_dataset_id": "SEMI_1459_artificial_characters_dataset_SCORE",
        "score_problem_id": "SEMI_1459_artificial_characters_problem_SCORE"
    },
    {
        "name": "uu3_world_development_indicators_raw",
        "dataset_id": "uu3_world_development_indicators_raw_dataset",
        "problem_id": "uu3_world_development_indicators_raw_problem",
        "task_type": "regression",
        "size": 12304,
        "train_dataset_id": "uu3_world_development_indicators_raw_dataset_TRAIN",
        "train_problem_id": "uu3_world_development_indicators_raw_problem_TRAIN",
        "test_dataset_id": "uu3_world_development_indicators_raw_dataset_TEST",
        "test_problem_id": "uu3_world_development_indicators_raw_problem_TEST",
        "score_dataset_id": "uu3_world_development_indicators_raw_dataset_SCORE",
        "score_problem_id": "uu3_world_development_indicators_raw_problem_SCORE"
    },
    {
        "name": "LL1_EDGELIST_net_nomination_seed",
        "dataset_id": "LL1_EDGELIST_net_nomination_seed_dataset",
        "problem_id": "LL1_EDGELIST_net_nomination_seed_problem",
        "task_type": "vertexClassification",
        "size": 80,
        "train_dataset_id": "LL1_EDGELIST_net_nomination_seed_dataset_TRAIN",
        "train_problem_id": "LL1_EDGELIST_net_nomination_seed_problem_TRAIN",
        "test_dataset_id": "LL1_EDGELIST_net_nomination_seed_dataset_TEST",
        "test_problem_id": "LL1_EDGELIST_net_nomination_seed_problem_TEST",
        "score_dataset_id": "LL1_EDGELIST_net_nomination_seed_dataset_SCORE",
        "score_problem_id": "LL1_EDGELIST_net_nomination_seed_problem_SCORE"
    },
    {
        "name": "59_umls",
        "dataset_id": "59_umls_dataset",
        "problem_id": "59_umls_problem",
        "task_type": "linkPrediction",
        "size": 3409,
        "train_dataset_id": "59_umls_dataset_TRAIN",
        "train_problem_id": "59_umls_problem_TRAIN",
        "test_dataset_id": "59_umls_dataset_TEST",
        "test_problem_id": "59_umls_problem_TEST",
        "score_dataset_id": "59_umls_dataset_SCORE",
        "score_problem_id": "59_umls_problem_SCORE"
    },
    {
        "name": "534_cps_85_wages",
        "dataset_id": "534_cps_85_wages_dataset",
        "problem_id": "534_cps_85_wages_problem",
        "task_type": "regression",
        "size": 106,
        "train_dataset_id": "534_cps_85_wages_dataset_TRAIN",
        "train_problem_id": "534_cps_85_wages_problem_TRAIN",
        "test_dataset_id": "534_cps_85_wages_dataset_TEST",
        "test_problem_id": "534_cps_85_wages_problem_TEST",
        "score_dataset_id": "534_cps_85_wages_dataset_SCORE",
        "score_problem_id": "534_cps_85_wages_problem_SCORE"
    },
    {
        "name": "LL1_VTXC_1369_synthetic",
        "dataset_id": "LL1_VTXC_1369_synthetic_dataset",
        "problem_id": "LL1_VTXC_1369_synthetic_problem",
        "task_type": "vertexClassification",
        "size": 900,
        "train_dataset_id": "LL1_VTXC_1369_synthetic_dataset_TRAIN",
        "train_problem_id": "LL1_VTXC_1369_synthetic_problem_TRAIN",
        "test_dataset_id": "LL1_VTXC_1369_synthetic_dataset_TEST",
        "test_problem_id": "LL1_VTXC_1369_synthetic_problem_TEST",
        "score_dataset_id": "LL1_VTXC_1369_synthetic_dataset_SCORE",
        "score_problem_id": "LL1_VTXC_1369_synthetic_problem_SCORE"
    },
    {
        "name": "32_wikiqa",
        "dataset_id": "32_wikiqa_dataset",
        "problem_id": "32_wikiqa_problem",
        "task_type": "classification",
        "size": 5852,
        "train_dataset_id": "32_wikiqa_dataset_TRAIN",
        "train_problem_id": "32_wikiqa_problem_TRAIN",
        "test_dataset_id": "32_wikiqa_dataset_TEST",
        "test_problem_id": "32_wikiqa_problem_TEST",
        "score_dataset_id": "32_wikiqa_dataset_SCORE",
        "score_problem_id": "32_wikiqa_problem_SCORE"
    }
]
'''

BAD_DATASETS_JSON = '''
[
    {
        "name": "uu10_posts_3",
        "error": "[Errno 2] No such file or directory: '/datasets/seed_datasets_current/uu10_posts_3/SCORE/problem_score/dataSplits.csv'"
    },
    {
        "name": "uu8_posts_1",
        "error": "[Errno 2] No such file or directory: '/datasets/seed_datasets_current/uu8_posts_1/SCORE/problem_score/dataSplits.csv'"
    },
    {
        "name": "uu9_posts_2",
        "error": "[Errno 2] No such file or directory: '/datasets/seed_datasets_current/uu9_posts_2/SCORE/problem_score/dataSplits.csv'"
    }
]
'''

ALL_DATASETS = json.loads(ALL_DATASETS_JSON)
